﻿@{
    Layout = null;
}

@model EPPW.Web.Common.Models.SiteMapNodeModel
@using EPPW.Web.Common.Models;
    <div id="sidemenu" class=" gap-top">
        <div  class="panel panel-default">
        @{
            if (Model != null)
            {
                for (int i = 0; i < Model.Children.Count(); i++)
                {
                    <div class="panel-heading"><span class="glyphicon glyphicon-folder-open text-warning gap-icon"></span>@Resource[@Model.Children[i].Title]<a href="#" class="menu-side-folder"><span class="glyphicon glyphicon-chevron-up pull-right"></span></a></div>
                    @*<div class="panel-body"><p>...</p></div>*@
                    <!-- List group -->
                    <div class="list-group">
                    @if (Model.Children[i].Children.Count > 0)
                    {
                        for (int j = 0; j < Model.Children[i].Children.Count; j++)
                        {
                            string activate = "";
                            string ttlProgram = Model.Children[i].Children[j].Title;
                            if (Model.Children[i].Children[j].IsInCurrentPath) { activate = "active"; }
                            else { activate = ""; }
                          ttlProgram = Resource[Model.Children[i].Children[j].Title]; 
                        <a href="/@Model.Children[i].Children[j].Controller/@Model.Children[i].Children[j].Action" class="list-group-item  @activate"><span class="glyphicon glyphicon-list text-primary gap-icon"></span>@ttlProgram</a>
                
                        }
                    }
                    </div>
                }
            }          
        }
        </div>
    </div>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#sidemenu").on("click", ".menu-side-folder", function () {
                var t1 = $(this);
                if (t1.prev().hasClass("glyphicon-folder-open")) {
                    t1.find("span").removeClass("glyphicon-chevron-down").addClass("glyphicon-chevron-down").end()
                    .prev().removeClass("glyphicon-folder-open").addClass("glyphicon-folder-close");
                    if (!t1.parent().next().hasClass("panel-heading")) {
                        t1.parent().next().hide(200);
                    }
                }
                else {
                    t1.find("span").removeClass("glyphicon-chevron-up").addClass("glyphicon-chevron-up").end()
                    .prev().removeClass("glyphicon-folder-close").addClass("glyphicon-folder-open");
                    if (!t1.parent().next().hasClass("panel-heading")) {
                        t1.parent().next().show(200);
                    }
                }
            });
        });
    </script> 